﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyProject.Domain;

namespace MyProject.Services
{
    public class TaxCalculator : ITaxCalculationService
    {
        ITaxRateLookupService _lookup;

        /// <summary>
        /// Initializes a new instance of the TaxCalculator class.
        /// </summary>
        /// <param name="lookup"></param>
        public TaxCalculator(ITaxRateLookupService lookup)
        {
            _lookup = lookup;
        }

        public decimal Calculate(Customer customer, Order order)
        {
            return ((decimal)_lookup.DetermineTaxRateFor(customer.PostalCode)) * order.Cost;
        }
    }
}
