﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyProject.Domain;
using System.Threading;
using System.Configuration;

namespace MyProject.Services
{
    public class TaxRateLookup : ITaxRateLookupService
    {
        public double DetermineTaxRateFor(string postalCode)
        {
            if (string.IsNullOrEmpty(postalCode))
                throw new ArgumentNullException("postalCode");

            SimulateLongRunningOperation();

            double rate;

            switch (postalCode)
            {
                case "12345":
                    rate = 0.1d;
                    break;
                case "45678":
                    rate = 0.2d;
                    break;
                default:
                    rate = 0;
                    break;
            }

            return rate;

        }

        private void SimulateLongRunningOperation()
        {
            var simulateDelay = ConfigurationManager.AppSettings.Get("simulatedDelay");

            if (!string.IsNullOrEmpty(simulateDelay) && simulateDelay.ToLower() == "true")
                Thread.Sleep(5000);
        }

    }
}
