using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using MyProject.Domain;

namespace MyProject.CustomersAndOrdersTests
{
    [TestFixture]
    public class When_Customer_Has_An_Order
    {
        [Test]
        public void Can_Remove_Order()
        {
            var customer = new Customer();
            var order = new Order();

            customer.RemoveOrder(order);

            Assert.That(customer.Orders, Has.No.Member(order));
        }

        [Test]
        [ExpectedException(typeof(OrderAlreadyAddedException))]
        public void Same_Order_Cannot_Be_Added_Again()
        {
            var customer = new Customer();
            var order = new Order();
            var item = new OrderItem() { Quantity = 1, Cost = 1 };

            order.AddItem(item);

            customer.AddOrder(order);
            customer.AddOrder(order);
        }

    }


}