﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using MyProject.Domain;

namespace MyProject.CustomersAndOrdersTests
{
    [TestFixture]
    public class When_Customer_Has_No_Orders
    {

        [Test]
        public void Removing_Order_Does_Nothing()
        {
            var customer = new Customer();
            var order = new Order();

            customer.RemoveOrder(order);

            Assert.That(customer.Orders, Is.Empty);
        }

        [Test]
        public void Can_Add_New_Order()
        {
            var customer = new Customer();
            var order = new Order();
            var item = new OrderItem() { Cost = 1, Quantity = 1 };

            order.AddItem(item);

            customer.AddOrder(order);
            
            Assert.That(customer.Orders, Is.Not.Empty);
        }

    }

    
}
