﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using MyProject.Domain;

namespace MyProject.PlacingAndShippingOrdersTests
{
    [TestFixture]
    public class When_Creating_ShippingItem
    {
        [Test]
        public void New_ShippingItem_Is_Assigned_OrderItem_Description()
        {
            var orderItem = new OrderItem() { Description = "The Description" };

            var shippingItem = new ShippingItem(orderItem);

            Assert.That(shippingItem.Description, Is.EqualTo("The Description"));
        }

        [Test]
        public void New_ShippingItem_Is_Ready_To_Ship()
        {
            var orderItem = new OrderItem();

            var shippingItem = new ShippingItem(orderItem);

            Assert.That(shippingItem.OkToShip, Is.True);
        }

        [Test]
        public void Can_Accept_And_Assign_Empty_Description()
        {
            var orderItem = new OrderItem() { Description = string.Empty };

            var shippingItem = new ShippingItem(orderItem);

            Assert.That(shippingItem.Description, Is.EqualTo(string.Empty));
        }
    }
}
