using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using MyProject.Services;
using MyProject.Domain;

namespace MyProject.PlacingAndShippingOrdersTests
{
    [TestFixture]
    public class When_Order_Has_No_Items
    {
        [Test]
        [ExpectedException(typeof(CannotAddOrderException))]
        public void Order_Is_Invalid_For_Shipping()
        {
            var order = new Order();
            order.ApplySalesTax(1);

            var customer = new Customer() { PostalCode = "12345" };
            customer.AddOrder(order);
        }
    }
}
