﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using MyProject.Services;
using MyProject.Domain;

namespace MyProject.PlacingAndShippingOrdersTests
{
    [TestFixture]
    public class When_Order_Is_Valid_For_Shipping
    {
        [Test]
        public void Can_Validate_Order()
        {
            var item = new OrderItem() { Cost = 1, Quantity = 1 };
            var order = new Order();

            order.AddItem(item);
            order.ApplySalesTax(1);

            var customer = new Customer() { PostalCode = "12345" };

            var approver = new OrderApprover();

            Assert.That(approver.IsValidToShip(customer, order), Is.True);

        }
    }
}
